Path

ez components / documentation / api reference / 2009.1.2 / mvctools


eZ Components 2009.1.2

MvcTools: ezcMvcHttpResponseWriter

[ Tutorial ] [ Class tree ] [ Element index ] [ ChangeLog ] [ Credits ]

Class: ezcMvcHttpResponseWriter

Request parser that uses HTTP headers to populate an ezcMvcRequest object. [source]

Parents

ezcMvcResponseWriter
   |
   --ezcMvcHttpResponseWriter

Member Variables

public array(string=>string) $headers
Contains an array of header name to value mappings
protected ezcMvcResponse $response
Contains the response struct

Method Summary

public ezcMvcHttpResponseWriter __construct( $response )
Creates a new ezcMvcHttpResponseWriter class to write $response
public void handleResponse( )
Takes the raw protocol depending response body, and the protocol abstract response headers and forges a response to the client. Then it sends the assembled response to the client.
protected void processCacheHeaders( )
Processes the caching related headers.
protected void processContentDispositionHeaders( $disp )
Processed the content disposition related headers.
protected void processContentHeaders( )
Processes the content type related headers.
protected void processStandardHeaders( )
Processes the standard headers that are not subdivided into other structs.

Inherited Methods

From ezcMvcResponseWriter :
public abstract ezcMvcResponseWriter ezcMvcResponseWriter::__construct()
Creates a new response writer object
public abstract void ezcMvcResponseWriter::handleResponse()
Takes the raw protocol depending response body, and the protocol abstract response headers and forges a response to the client. Then it sends the assembled response to the client.

Methods

__construct

ezcMvcHttpResponseWriter __construct( ezcMvcResponse $response )
Creates a new ezcMvcHttpResponseWriter class to write $response

Parameters

Name Type Description
$response ezcMvcResponse  

Redefinition of

Method Description
ezcMvcResponseWriter::__construct() Creates a new response writer object

handleResponse

void handleResponse( )
Takes the raw protocol depending response body, and the protocol abstract response headers and forges a response to the client. Then it sends the assembled response to the client.

Redefinition of

Method Description
ezcMvcResponseWriter::handleResponse() Takes the raw protocol depending response body, and the protocol abstract response headers and forges a response to the client. Then it sends the assembled response to the client.

processCacheHeaders

void processCacheHeaders( )
Processes the caching related headers.

processContentDispositionHeaders

void processContentDispositionHeaders( ezcMvcResultContentDisposition $disp )
Processed the content disposition related headers.
See http://tools.ietf.org/html/rfc2183#section-2, but implemented with limitations.

Parameters

Name Type Description
$disp ezcMvcResultContentDisposition  

processContentHeaders

void processContentHeaders( )
Processes the content type related headers.

processStandardHeaders

void processStandardHeaders( )
Processes the standard headers that are not subdivided into other structs.

Last updated: Tue, 01 Sep 2009